Subject: Re: serial port and unwanted NL -> CR/LF tranlastion
From: Bruce Edge <[email-masked]>
To: cygwin support <[email-masked]>
Date: Wed, 22 Nov 2000 15:52:00 -0800

Hi Corinna, thanks for the prompt response.

I tried this and it had no effect.
I added the O_BINARY and linked with /lib/binmode.

Is there some other library I should now exclude? I ask as since there were no
unresolved symbols before I added /lib/binmode.o, the link is picking up
whatever symbols are in binmode.o from somewhere else.

-Bruce.

Corinna Vinschen wrote:
> 
> Bruce Edge wrote:
> >
> > I opened /dev/com1 using:
> >         open( name, O_RDWR | O_NOCTTY | O_NONBLOCK )
> > and when I write to it using:
> >         write( fd, buf, len );
> > any 0x0a bytes are getting translated into 0x0d 0x0a pairs.
> >
> > How can I stop this?
> 
> Try
>           open( name, O_RDWR | O_NOCTTY | O_NONBLOCK | O_BINARY)
> 
> or link your application with /lib/binmode.o

--
Want to unsubscribe from this list?
Send a message to [email-masked]